Subject: Re: linking cygwin against non-cygwin
From: [email-masked]

11 Feb 1998 10:04:47 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked] (Tim Newsham), [email-masked]

On  3 Feb 98 at 7:49,  Tim Newsham <[email-masked]> wrote:

> From:          [email-masked] (Tim Newsham)
> Subject:       linking cygwin against non-cygwin
> To:            [email-masked]
> Date:          Tue, 3 Feb 1998 07:49:00 -1000 (HST)

> 
> Hi,
> 
>     I am looking to have a gui developed for some cygwin compiled
> code I am using.  I am curious as to the approach others have taken
> here.  I see a number of possible ways it could work.  Which of these
> are actually practical?
> 
>    - Compile non-cygwin gui code with cygwin's gcc and libraries
>      to form a cygwin binary.  This may involve some changes to
>      include directives, some tweaking of headers and libs.
> 
>    - Compile parts with cygwin and parts with non-cygwin tools
>      and link them together.
> 
>    - Compile everything with non-cygwin tools and link against
>      cygwin libraries and/or dlls.
> 
> There's also the possibility of using some gui code that is
> already written for cygwin (like tk), but we probably won't be
> taking that approach.  If anyone has found a gui package for cygwin
> that they find extraordinarily good, I would be interested in
> hearing about it though.
> 
>                                       Tim N.
> 

Hi!

Maybe you could try wxWindows (http://web.ukonline.co.uk/julian.smart/wxwin/)
It is probably the most popular compatibility library in the public
domain.  Another interesting project is V (http://www.objectcentral.com)
which is mostly an educational project, but has a simple and clean
object oriented implementation.

Regards
++Hilton

-------------------
Hilton Fernandes
email: [email-masked]
www:   http://www.lsi.usp.br/~hilton.html (inactive)
M. Sc. Student of Parallel Distributed Applications
at Escola Politecnica (Polytechnic School)
University of S. Paulo - Brazil
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".